Page MenuHomePhabricator

On SET wikis/"Remember my last editor", section edit links say "Edit" even when they mean "Edit source"
Closed, ResolvedPublic1 Story Points

Description

When the last editor used is WT, I expect the section edit links to also say "Edit source", just like the top one for the page does.
If this is intentional, it's confusing: I didn't know what to expect when I clicked on one of those links.

Details

Related Gerrit Patches:

Event Timeline

Elitre created this task.Jun 9 2016, 2:36 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 9 2016, 2:36 PM
Jdforrester-WMF triaged this task as Low priority.Jun 29 2016, 12:19 PM
Jdforrester-WMF set the point value for this task to 1.
AlexMonk-WMF added a subscriber: AlexMonk-WMF.

Uploaded something that should hopefully address this while Phab was down: https://gerrit.wikimedia.org/r/296680

(Only possible to vary this for logged-in editors, of course.)

Hopefully my JS should help with logged out users but it needs better testing.

Change 296680 merged by jenkins-bot:
DAT.init#setEditorPreference: Change section edit alongside tab labels

https://gerrit.wikimedia.org/r/296680

Krenair closed this task as Resolved.Jul 14 2016, 4:37 PM

(Clearly, I used the wrong account to close)